Last Comment Bug 705678 - [ICS] - AwesomeBar truncated in landscape view
: [ICS] - AwesomeBar truncated in landscape view
Status: VERIFIED FIXED
[ICS]
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: P1 normal (vote)
: ---
Assigned To: Sriram Ramasubramanian [:sriram]
:
: Sebastian Kaspari (:sebastian)
Mentors:
Depends on: 705481 708700
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-28 07:40 PST by Aaron Train [:aaronmt]
Modified: 2012-01-09 15:11 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
Nightly (11/28) (56.27 KB, image/png)
2011-11-28 07:40 PST, Aaron Train [:aaronmt]
no flags Details

Description Aaron Train [:aaronmt] 2011-11-28 07:40:09 PST
Created attachment 577264 [details]
Nightly (11/28)

See attached screenshot.

--
Samsung Nexus S (Android 4.0.1)
20111128040211
http://hg.mozilla.org/projects/birch/rev/aa6ad7ab9b43
Comment 1 Sriram Ramasubramanian [:sriram] 2011-11-30 12:14:06 PST
While investigating this bug, I found that, we are using 54dip for browser url bar, and in ICS, the action bar is smaller than this.
On fixing it to take the actionBarSize (provided by honeycomb+), I found that, in ICS, the size differs between landscape and portrait modes.
On a screenshot, I got 96px in portrait mode and 80px on landscape mode (hardware pixels).
http://cl.ly/3v21150g1l3N2F1j2d0d and http://cl.ly/0E3z0Z0A093E3G0g1T3n

Also, the activity is not re-created on rotation. So, actionBarSize (even if ICS provides it to be 80px on portrait), won't be taken to redraw this portion. This get even scary, with more shrinking on rotation. http://cl.ly/193Z0C3s1i11020a0Q15

I would like to try to check if layout-landscape-v11/ and layout-portrait-v11/ folders can help us. But still, I'm worried about "tabs-add" button being square.

We also need specs for these two different sizes.
Comment 2 Asa Dotzler [:asa] 2011-12-17 11:55:35 PST
It's not just in landscape mode. It's clipped worse in landscape mode but it's also clipped in portrait by at least a couple of pixels.
Comment 3 Mark Finkle (:mfinkle) (use needinfo?) 2011-12-20 05:55:49 PST
Should be fixed by bug 705481 and bug 708700

Note You need to log in before you can comment on or make changes to this bug.